com.hazelcast.client.config

## Class ClientSecurityConfig

- java.lang.Object
- - com.hazelcast.client.config.ClientSecurityConfig

-     public class ClientSecurityConfig
      extends Object

  Contains the security configuration for the client. Credentials object is used for both authentication and authorization Credentials is used with ClusterLoginModule for authentication It is also used with SecurityInterceptor and to define principal in client-permissions for authorization.
  See Also:
    `Credentials.getPrincipal()`, `SecurityInterceptor`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSecurityConfig()`
    `ClientSecurityConfig(ClientSecurityConfig securityConfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `Credentials` | `getCredentials()`
    `String` | `getCredentialsClassname()`
    `CredentialsFactoryConfig` | `getCredentialsFactoryConfig()`
    `int` | `hashCode()`
    `ClientSecurityConfig` | `setCredentials(Credentials credentials)`
    `ClientSecurityConfig` | `setCredentialsClassname(String credentialsClassname)` Credentials class will be instantiated from class name when setCredentialsFactoryConfig and setCredentials are not used.
    `ClientSecurityConfig` | `setCredentialsFactoryConfig(CredentialsFactoryConfig credentialsFactoryConfig)` Credentials Factory Config allows user to pass custom properties and use group config when instantiating a credentials object.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientSecurityConfig

          public ClientSecurityConfig()

    - #### ClientSecurityConfig

          public ClientSecurityConfig(ClientSecurityConfig securityConfig)

  - ### Method Detail

    - #### getCredentials

          public Credentials getCredentials()

    - #### setCredentials

          public ClientSecurityConfig setCredentials(Credentials credentials)

      Parameters:
        `credentials` - that will be used when
      Returns:
        configured `ClientSecurityConfig` for chaining

    - #### getCredentialsClassname

          public String getCredentialsClassname()

      Returns:
        configured class name for credentials

    - #### setCredentialsClassname

          public ClientSecurityConfig setCredentialsClassname(String credentialsClassname)

      Credentials class will be instantiated from class name when setCredentialsFactoryConfig and setCredentials are not used. The class will be instantiated with empty constructor.
      Parameters:
        `credentialsClassname` - class name for credentials
      Returns:
        configured `ClientSecurityConfig` for chaining

    - #### getCredentialsFactoryConfig

          public CredentialsFactoryConfig getCredentialsFactoryConfig()

      Returns:
        credentials factory config

    - #### setCredentialsFactoryConfig

          public ClientSecurityConfig setCredentialsFactoryConfig(CredentialsFactoryConfig credentialsFactoryConfig)

      Credentials Factory Config allows user to pass custom properties and use group config when instantiating a credentials object.
      Parameters:
        `credentialsFactoryConfig` - the config that will be used to create credentials factory
      Returns:
        configured `ClientSecurityConfig` for chaining

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2019. All rights reserved.